export interface ResultRes<T> {
    ok: true;
    res: T;
}
export interface ResultErr<E extends Error> {
    ok: false;
    err: E;
}
export type Result<T, E extends Error = Error> = ResultRes<T> | ResultErr<E>;
export declare function resultOk<T>(res: T): ResultRes<T>;
export declare function resultErr<E extends Error>(e: Error | string): ResultErr<E>;
export declare function isOk<T, E extends Error>(result: Result<T, E>): result is ResultRes<T>;
export declare function isErr<T, E extends Error>(result: Result<T, E>): result is ResultErr<E>;
